Pular para o conteúdo principal
PATCH
/
webhooks
/
2026-03
/
{appId}
/
subscriptions
/
{subscriptionId}
Atualizar uma assinatura de evento
curl --request PATCH \
  --url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions/{subscriptionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "active": true
}'
{
  "active": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "eventTypeName": "<string>",
  "objectTypeId": "<string>",
  "propertyName": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

O identificador do aplicativo.

subscriptionId
integer<int32>
obrigatório

O identificador da assinatura.

Corpo

application/json
active
boolean

Um booleano que indica se a assinatura está ativa. Se verdadeiro, a assinatura está ativa; se falso, está inativa.

Resposta

successful operation

active
boolean
obrigatório

Um booleano que indica se a assinatura está ativa no momento.

createdAt
string<date-time>
obrigatório

A data e hora em que a assinatura foi criada, no formato ISO 8601.

eventType
enum<string>
obrigatório

O tipo de evento que aciona a assinatura. Os valores válidos incluem várias alterações de propriedade, criações, exclusões, fusões, restaurações e alterações de associação para diferentes objetos do HubSpot.

Opções disponíveis:
company.associationChange,
company.creation,
company.deletion,
company.merge,
company.propertyChange,
company.restore,
contact.associationChange,
contact.creation,
contact.deletion,
contact.merge,
contact.privacyDeletion,
contact.propertyChange,
contact.restore,
conversation.creation,
conversation.deletion,
conversation.newMessage,
conversation.privacyDeletion,
conversation.propertyChange,
deal.associationChange,
deal.creation,
deal.deletion,
deal.merge,
deal.propertyChange,
deal.restore,
event.completed,
line_item.associationChange,
line_item.creation,
line_item.deletion,
line_item.merge,
line_item.propertyChange,
line_item.restore,
object.associationChange,
object.creation,
object.deletion,
object.merge,
object.propertyChange,
object.restore,
product.creation,
product.deletion,
product.merge,
product.propertyChange,
product.restore,
ticket.associationChange,
ticket.creation,
ticket.deletion,
ticket.merge,
ticket.propertyChange,
ticket.restore
id
string
obrigatório

O identificador exclusivo da assinatura. É um número inteiro formatado como int64.

eventTypeName
string

O nome do tipo de evento para a assinatura.

objectTypeId
string

O identificador para o tipo de objeto associado à assinatura. É uma string.

propertyName
string

O nome da propriedade associada ao evento de assinatura, se aplicável.

updatedAt
string<date-time>

A data e a hora da última atualização da assinatura, no formato ISO 8601.

Last modified on April 13, 2026